import { IDIService } from '../../IDIService';
import { ITypedEvent } from '../../TypedEvent';
import { IDevice } from './IDevice';
import { IDevicesService } from './IDevicesService';
import { IDeviceState } from './IDeviceState';
export declare class DevicesService implements IDIService, IDevicesService {
    private _devices;
    private _serviceName;
    private _onDeviceTasksCountChangedEvent;
    private _onDeviceFoundEvent;
    private _onDeviceRegisteredEvent;
    private _onDeviceRemovedEvent;
    private _onDeviceStateChangedEvent;
    private _connection;
    private _fastStatesSync;
    constructor();
    GetServiceName(): string;
    SyncDevicesStatesAsync(): Promise<boolean>;
    OnDeviceTasksCountChangedEvent(): ITypedEvent<[DeviceGuid: string, Count: number]>;
    OnDeviceStateChangedEvent(): ITypedEvent<[Device: IDevice, State: IDeviceState]>;
    OnDeviceRegisteredEvent(): ITypedEvent<IDevice>;
    OnDeviceRemovedEvent(): ITypedEvent<IDevice>;
    OnDeviceFoundEvent(): ITypedEvent<IDevice>;
    private MapApiDevices;
    GetDevicesAsync(): Promise<IDevice[]>;
    GetDevice(guid: string): IDevice | undefined;
    FindDevicesAsync(): Promise<void>;
    StopSearchingForDevices(): Promise<void>;
    RegisterDeviceAsync(device: IDevice): Promise<void>;
    RemoveDeviceAsync(device: IDevice): Promise<void>;
}
